EDIT - bug #7219

CachelLoader.loadRecursive() fails handling proxy objects correctly

01/25/2018 05:52 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.13

Severity: blocker Found in Version:

Description

The method

Cacheloader.loadRecursive (CdmBase cdmEntity, List<Object> alreadyVisitedEntities,

fails handling proxy objects correctly.

Very strange that this never before was causing any problems

boolean update)

Associated revisions

Revision f8dac431 - 01/25/2018 12:46 PM - Andreas Kohlbecker

fixing wrong handling of proxies which are hidden in collections (bug fix)

Revision 6870dcc1 - 01/25/2018 05:21 PM - Andreas Kohlbecker

fixing wrong handling of proxies which are hidden in collections (bug fix 2)

Revision 8604cc76 - 01/25/2018 05:53 PM - Andreas Kohlbecker

fix #7219 fixing wrong handling of proxies which are hidden in collections (bug fix 3)

Revision 2a0cf486 - 01/27/2018 10:42 PM - Andreas Kohlbecker
ref #7219 solving problem in deproxy method

History

#1 - 01/25/2018 05:53 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|8604cc76ef9d8f3c747f3116b89fa26b750cd562.

#2 - 01/25/2018 05:55 PM - Andreas Kohlbecker

please review somebody!

#3 - 01/25/2018 09:22 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#4 - 02/14/2018 01:48 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
